
_interrupt:

;MyProject.c,6 :: 		void interrupt(){
;MyProject.c,7 :: 		USB_Interrupt_Proc();                   // USB servicing is done inside the interrupt
	CALL        _USB_Interrupt_Proc+0, 0
;MyProject.c,8 :: 		}
L_end_interrupt:
L__interrupt14:
	RETFIE      1
; end of _interrupt

_main:

;MyProject.c,9 :: 		void main(void){
;MyProject.c,10 :: 		trisb=0;
	CLRF        TRISB+0 
;MyProject.c,11 :: 		portb=0;
	CLRF        PORTB+0 
;MyProject.c,13 :: 		TRISA=0xFF;
	MOVLW       255
	MOVWF       TRISA+0 
;MyProject.c,16 :: 		ADCON1 = 0x0F; // *** turn all of port a to digital I/O
	MOVLW       15
	MOVWF       ADCON1+0 
;MyProject.c,17 :: 		CMCON  = 0x07;  // CM0, CM1 and CM2 set to 1
	MOVLW       7
	MOVWF       CMCON+0 
;MyProject.c,18 :: 		HID_Enable(&readbuff,&writebuff);       // Enable HID communication
	MOVLW       _readbuff+0
	MOVWF       FARG_HID_Enable_readbuff+0 
	MOVLW       hi_addr(_readbuff+0)
	MOVWF       FARG_HID_Enable_readbuff+1 
	MOVLW       _writebuff+0
	MOVWF       FARG_HID_Enable_writebuff+0 
	MOVLW       hi_addr(_writebuff+0)
	MOVWF       FARG_HID_Enable_writebuff+1 
	CALL        _HID_Enable+0, 0
;MyProject.c,21 :: 		while(1){
L_main0:
;MyProject.c,23 :: 		if (porta.ra0==1) portb.rb0=1;
	BTFSS       PORTA+0, 0 
	GOTO        L_main2
	BSF         PORTB+0, 0 
	GOTO        L_main3
L_main2:
;MyProject.c,24 :: 		else portb.rb0=0;
	BCF         PORTB+0, 0 
L_main3:
;MyProject.c,27 :: 		while(!HID_Read());
L_main4:
	CALL        _HID_Read+0, 0
	MOVF        R0, 1 
	BTFSS       STATUS+0, 2 
	GOTO        L_main5
	GOTO        L_main4
L_main5:
;MyProject.c,29 :: 		for(cnt=0;cnt<64;cnt++)
	CLRF        _cnt+0 
L_main6:
	MOVLW       64
	SUBWF       _cnt+0, 0 
	BTFSC       STATUS+0, 0 
	GOTO        L_main7
;MyProject.c,32 :: 		writebuff[cnt]=readbuff[cnt];
	MOVLW       _writebuff+0
	MOVWF       FSR1 
	MOVLW       hi_addr(_writebuff+0)
	MOVWF       FSR1H 
	MOVF        _cnt+0, 0 
	ADDWF       FSR1, 1 
	BTFSC       STATUS+0, 0 
	INCF        FSR1H, 1 
	MOVLW       _readbuff+0
	MOVWF       FSR0 
	MOVLW       hi_addr(_readbuff+0)
	MOVWF       FSR0H 
	MOVF        _cnt+0, 0 
	ADDWF       FSR0, 1 
	BTFSC       STATUS+0, 0 
	INCF        FSR0H, 1 
	MOVF        POSTINC0+0, 0 
	MOVWF       POSTINC1+0 
;MyProject.c,29 :: 		for(cnt=0;cnt<64;cnt++)
	INCF        _cnt+0, 1 
;MyProject.c,34 :: 		}
	GOTO        L_main6
L_main7:
;MyProject.c,35 :: 		while(!HID_Write(&writebuff,64));
L_main9:
	MOVLW       _writebuff+0
	MOVWF       FARG_HID_Write_writebuff+0 
	MOVLW       hi_addr(_writebuff+0)
	MOVWF       FARG_HID_Write_writebuff+1 
	MOVLW       64
	MOVWF       FARG_HID_Write_len+0 
	CALL        _HID_Write+0, 0
	MOVF        R0, 1 
	BTFSS       STATUS+0, 2 
	GOTO        L_main10
	GOTO        L_main9
L_main10:
;MyProject.c,37 :: 		if (readbuff[0]=='u') portb.rb1=1;
	MOVF        1280, 0 
	XORLW       117
	BTFSS       STATUS+0, 2 
	GOTO        L_main11
	BSF         PORTB+0, 1 
L_main11:
;MyProject.c,38 :: 		if (readbuff[0]=='i') portb.rb1=0;
	MOVF        1280, 0 
	XORLW       105
	BTFSS       STATUS+0, 2 
	GOTO        L_main12
	BCF         PORTB+0, 1 
L_main12:
;MyProject.c,43 :: 		}
	GOTO        L_main0
;MyProject.c,47 :: 		}
L_end_main:
	GOTO        $+0
; end of _main
